Subject: Re: bug#18516: Acknowledgement (24.4.50; EMACS crashes when I try to open Elisp manual)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 22 Sep 2014 20:53:16 +0300

> From: Vincent Belaïche <[email-masked]> 
> Cc: Vincent Belaïche <[email-masked]> 
> Date: Mon, 22 Sep 2014 19:13:54 +0200
> 
> > > Crash in Fexpand_file_name? Hm...there was some changes in r11780[123]
> > > and r117806. Can you try to revert to r117800 and reproduce this crash?
> >
> > This was introduced in r117806 (alloca doesn't like negative arguments).
> >
> > Fixed in trunk revision 117918.
> 
> Could you please send to me the exact bzr command you would like me to
> do in order to revert to whatever revision you think is of interest, and
> then I can rebuild Emacs and try again to crash.

You don't need to revert anything, just resync with trunk and rebuild.
The problem should be gone.

> After reading of Eli that the crash is within Fexpand_file_name, I have
> done some more investigation how to provoke the crash with a simpler
> command line, and I have found that the following arguments suffice:
> 
> -Q "--eval=(expand-file-name \"c:Invalid/path/info\" \"C:\\Programme\\GNU\\installation\\emacs-install\\emacs\\trunk\\src/\")"

The easiest recipe is just this:

 emacs -Q
 M-: (let (default-directory) (expand-file-name "foo" "c:bar/baz")) RET

> Hopefully, this shorter settup will allow you to reproduce the
> crash.

I already did reproduce it, and I already fixed the crash in the
repository.  That's why I closed the bug.

> Could you please try that before I have to do any bzr reverting.

No need to revert anything.